Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.base
Class JRBaseGanttDataset

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseElementDataset
          net.sf.jasperreports.engine.base.JRBaseChartDataset
              net.sf.jasperreports.charts.base.JRBaseGanttDataset

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRGanttDataset, JRChartDataset, JRCloneable, JRElementDataset

    public class JRBaseGanttDataset

extends JRBaseChartDataset
implements JRGanttDataset

Version:
  $Id: JRBaseGanttDataset.java 3938 2010-08-19 14:59:36Z teodord $
Author:
  Peter Risko (peter@risko.hu)
See Also:
  Serialized Form

Field Summary
`protected JRGanttSeries[]` | `ganttSeries`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset
`datasetRun, incrementGroup, incrementTypeValue, incrementWhenExpression, resetGroup, resetTypeValue`

Fields inherited from interface net.sf.jasperreports.engine.JRChartDataset
`CATEGORY_DATASET, GANTT_DATASET, HIGHLOW_DATASET, PIE_DATASET, TIMEPERIOD_DATASET, TIMESERIES_DATASET, VALUE_DATASET, XY_DATASET, XYZ_DATASET`

Constructor Summary
`JRBaseGanttDataset(JRChartDataset dataset)`
`JRBaseGanttDataset(JRGanttDataset dataset, JRBaseObjectFactory factory)`

Method Summary
`void` | `collectExpressions(JRExpressionCollector collector)`
`byte` | `getDatasetType()` Gets the dataset type.
`JRGanttSeries[]` | `getSeries()`
`void` | `validate(JRVerifier verifier)` Validates the dataset using a verifier.

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset
`clone, getDatasetRun, getIncrementGroup, getIncrementType, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetType, getResetTypeValue`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset
`getDatasetRun, getIncrementGroup, getIncrementType, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetType, getResetTypeValue`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Field Detail

### ganttSeries

    protected JRGanttSeries[] ganttSeries

Constructor Detail

### JRBaseGanttDataset

    public JRBaseGanttDataset(JRChartDataset dataset)

### JRBaseGanttDataset

    public JRBaseGanttDataset(JRGanttDataset dataset,
                              JRBaseObjectFactory factory)

Method Detail

### getSeries

    public JRGanttSeries[] getSeries()

  Specified by:
    `getSeries` in interface `JRGanttDataset`

### getDatasetType

    public byte getDatasetType()

  Description copied from interface: `JRChartDataset`
  Gets the dataset type. Must be one of the dataset type constants defined in this class.

  Specified by:
    `getDatasetType` in interface `JRChartDataset`

### collectExpressions

    public void collectExpressions(JRExpressionCollector collector)

  Specified by:
    `collectExpressions` in interface `JRElementDataset`

### validate

    public void validate(JRVerifier verifier)

  Description copied from interface: `JRChartDataset`
  Validates the dataset using a verifier.

  Broken rules are collected by the verifier.

  Specified by:
    `validate` in interface `JRChartDataset`
  Parameters:
    `verifier` - the verifier to use for validation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com